#ifndef __FILEIO_H_INCLUDED__
#define __FILEIO_H_INCLUDED__

#define FB_EOF  0x01
#define FB_FAIL 0x02

struct FileBuf {
  int   fd;     /* file descriptor */
  char* buf;    /* buffer */
  char* endp;   /* one past the end */
  char* ptr;    /* current read pos */
  pid_t pid;    /* used for piped filebufs */
  unsigned char flags;
};

typedef struct FileBuf aFileBuf;

extern aFileBuf* fbopen(const char* filename, const char* mode);
extern void  fbclose(aFileBuf* fb);
extern int   fbgetc(aFileBuf* fb);
extern char* fbgets(char* buf, size_t len, aFileBuf* fb);
extern int   fbputs(const char* str, aFileBuf* fb);
extern int   fbstat(struct stat* sb, aFileBuf* fb);
extern aFileBuf* fbopenp(const char* ename, const char* arg1, const char* arg2);
extern pid_t fbpid(aFileBuf* fb);

#endif /* __FILEIO_H_INCLUDED__ */