#ifndef WIN32_H
#define WIN32_H

/*
 * Host specific defines
 */
#define DOMAINNAME "dflt.org"
#define RANDOM_SEED "12345678"
#undef  RELIABLE_CLOCK

/*
 * General defines
 */
#undef  CHROOTDIR
#undef  CONFIG_SETUGID
#define IRC_UID (1000)
#define IRC_GID (100)
#undef  CMDLINE_CONFIG
#undef  UNIXPORT
#undef  VIRTUAL_HOST
#define	HUB

/*
 * Define this if you are going to run as a service under NT
 * NOTE: This is not finished yet, when it is it will be defined
 */
#undef RUN_AS_NT_SERVICE

/*
 * Debugging (do not define this on production servers)
 */
#undef	DEBUGMODE
#undef	DEBUGMALLOC
#undef	MEMMAGICNUMS
#undef	MEMLEAKSTATS
#undef	MEMTIMESTATS

/*
 * Paths and files
 */
#define DPATH "/ircd/"
#define SPATH "ircd.exe"
#define CPATH "ircd.conf"
#define MPATH "ircd.motd"
#define RPATH "remote.motd"
/* #define LPATH "/home/irc/log/ircd.log" */
#define LPATH "ircd.log"
#define PPATH "ircd.pid"

/*
 * Logging (filenames are either full paths or files within DPATH)
 */
#undef  CONFIG_LOG_GLINES
#undef  CONFIG_LOG_USERS
#undef  CONFIG_LOG_OPERS
#undef  USE_SYSLOG

/*
 * Configuration
 */
#undef  CRYPT_LINK_PASSWORD
#define CRYPT_OPER_PASSWORD
#define MAXSENDQLENGTH (2000000)
#define INT_BUFFERPOOL (6)
#define BUFFERPOOL (6 * MAXSENDQLENGTH)
#define CLIENT_FLOOD (1024)
#define MAXCONNECTIONS (4096)
#define PORTNUM (6667)
#define NICKNAMEHISTORYLENGTH (800)
#undef  ALLOW_SNO_CONNEXIT
#undef  R_LINES

/*
 * Oper commands
 */
#define SHOW_INVISIBLE_USERS
#define SHOW_ALL_INVISIBLE_USERS
#define OPER_KILL
#define OPER_REHASH
#define OPER_RESTART
#define OPER_DIE
#define OPER_LGLINE
#define OPER_REMOTE
#define LOCOP_REHASH
#undef  LOCOP_RESTART
#undef  LOCOP_DIE
#define LOCOP_LGLINE

/*
 * Server characteristics
 */
#define CONFIG_LIST
#define DEFAULT_LIST "T<10"
#define DEFAULT_LIST_PARAM "T<10"
#undef  COMMENT_IS_FILE
#define IDLE_FROM_MSG

/*
 * Mandatory defines (you should leave these untouched)
 */
#undef  CHECK_CLONE
#define CHECK_CLONE_LIMIT (2)
#define CHECK_CLONE_PERIOD (20)
#define CHECK_CLONE_DELAY (600)
#define MAXIMUM_LINKS (3)
#undef  MSGLOG_ENABLED
#undef  LOCAL_KILL_ONLY
#define TIMESEC (60)
#define PINGFREQUENCY (120)
#define CONNECTFREQUENCY (600)
#define HANGONGOODLINK (300)
#define HANGONRETRYDELAY (10)
#define CONNECTTIMEOUT (90)
#define KILLCHASETIMELIMIT (30)
#define MAXCHANNELSPERUSER (10)
#define MAXSILES (15)
#define AVBANLEN (40)
#define MAXSILELENGTH (40 * MAXSILES)

/*
 * WIN32 specific defines
 */
#define RETSIGTYPE void
#define HAVE_MEMCPY 1
#define HAVE_MEMMOVE 1
#define NBLOCK_SYSV 1
#define HAVE_FCNTL_H 1
#define STDC_HEADERS 1
#define HAVE_STRING_H 1
#define HAVE_STRCHR 1
#define HAVE_MEMORY_H 1
#define HAVE_STRERROR 1

#endif /* WIN32_H */
