/*
 * IRC - Internet Relay Chat, ports/nt/resolv/port_after.h
 * Porting file for NT ircd
 * 1997 Thomas Helvey <tomh@inxpress.net>
 *
 * See file AUTHORS in IRC package for additional names of
 * the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#define USE_POSIX

#undef _PATH_XFER
#define _PATH_XFER	"/usr/local/etc/named-xfer"

#define PORT_NONBLOCK	O_NONBLOCK
#define PORT_WOULDBLK	WSAEWOULDBLOCK
#define WAIT_T		int

#ifndef MIN
# define MIN(x, y)	(((x) > (y)) ?(y) :(x))
#endif
#ifndef MAX
# define MAX(x, y)	(((x) > (y)) ?(x) :(y))
#endif

/*
 * We need to know the IPv6 address family number even on IPv4-only systems.
 * Note that this is NOT a protocol constant, and that if the system has its
 * own AF_INET6, different from ours below, all of BIND's libraries and
 * executables will need to be recompiled after the system <sys/socket.h>
 * has had this type added.  The type number below is correct on most BSD-
 * derived systems for which AF_INET6 is defined.
 */
#ifndef AF_INET6
#define AF_INET6	24
#endif

#include <sys/types.h>
